import { EventEmitter } from "../../stencil-public-runtime";
export declare class GxgSplitter {
    el: HTMLElement;
    /**
     * The splitter direction
     */
    direction: Direction;
    /**
     * The prescence of this attributes forces the splitter to collapse to zero
     */
    forceCollapseZero: boolean;
    /**
     * The type of knob (simple: only draggable - bidirectional: draggable and collapsable by clicking the arrows)
     */
    knob: Knob;
    /**
     * The splitter min. sizes in pixels
     */
    minSize: string;
    /**
     * The splitter initial sizes, in percentages. The sum should equal 100
     */
    sizes: string;
    split: any;
    minSizeArray: Array<number>;
    sizesArray: Array<number>;
    idsArray: Array<string>;
    currentSizes: Array<number>;
    draggingState: boolean;
    leftCollapsedToZero: boolean;
    rightCollapsedToZero: boolean;
    dragging: EventEmitter;
    dragEnded: EventEmitter;
    makeId(length: any): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    convertStringPropertiesToArray(): void;
    getIds(): void;
    validateSizes(): void;
    knobLeftClicked(): void;
    knobRightClicked(): void;
    knobLeftOver(): void;
    knobLeftOut(): void;
    knobRightOver(): void;
    knobRightOut(): void;
    onDragStartFunc(): void;
    onDragFunc(): void;
    onDragEndFunc(): void;
    detectDragEndReachedMinimum(): void;
    /**
     * This method allows to collapse the split passsed as argument
     */
    collapse(split: number, forceCollapseToZero?: boolean): Promise<void>;
    render(): any;
}
export declare type Direction = "horizontal" | "vertical";
export declare type Knob = "bidirectional" | "simple";
